Bug 1292265 - epel7 kmahjongg has wrongly versioned dependencies
epel7 kmahjongg has wrongly versioned dependencies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: kmahjongg (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7ppc64le epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-16 15:52 EST by Yaakov Selkowitz
Modified: 2016-01-04 18:26 EST (History)
5 users (show)

See Also:
Fixed In Version: kmahjongg-4.10.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 18:26:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-16 15:52:07 EST
epel7 kmahjongg.spec contains:

BuildRequires: libkdegames-devel >= %{_kde4_version}
BuildRequires: libkmahjongg-devel >= %{version}
Requires: libkdegames%{?_isa} >= %{_kde4_version}
Requires: libkmahjongg%{?_isa} >= %{_kde4_version}

kdelibs was rebased in RHEL 7.2, but EPEL libkdegames and libkmahjongg were not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change these to unversioned (Build)Requires: and update to fix the build on the new arches.
Comment 1 Fedora Update System 2015-12-17 23:44:58 EST
kmahjongg-4.10.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-06f5c58464
Comment 2 Fedora Update System 2015-12-19 20:51:23 EST
kmahjongg-4.10.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kmahjongg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-06f5c58464
Comment 3 Fedora Update System 2016-01-04 18:26:09 EST
kmahjongg-4.10.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.